# -*- coding: utf-8 -*-
#
# UnivNautes
# Copyright (C) 2014  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
# details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf import settings
from authentic2.saml.models import LibertyProvider

def sp(request):
    context_extras = {}
    context_extras.update(settings.SP_UI)
    context_extras['idps'] = LibertyProvider.objects.all()
    context_extras['pfsenseid'] = request.session.get('pfsenseid')
    context_extras['display_name'] = request.session.get('display_name')
    return context_extras

